{{ if eq .Values.service.lb.enabled true }}
apiVersion: v1
kind: Service
metadata:
  name: {{ include "player-swagkingthethird.fullname" . }}-lb
  labels:
    {{- include "player-swagkingthethird.labels" . | nindent 4 }}
spec:
{{- range .Values.service.lb.ports }}
  type: {{ .type }}
  ports:
    - port: {{ .port }}
      targetPort: {{ .targetPort }}
      nodePort: {{ .lbPort }}
      protocol: {{ .protocol }}
    {{- end }}
  selector:
    {{- include "player-swagkingthethird.selectorLabels" . | nindent 4 }}
    {{- end }}
